%define upstream_name    Parse-RecDescent-Consumer
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Parse::RecDescent::Consumer - reveal text matched through n token transitions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
A common need when writing grammars is to know how much text was
consumed at different points in a parse. Usually, this involves a lot
of brain-twisting unwinding of of highly nested list-of-lists (of
lists...). Instead this module allows you to take the low-road
approach. You simply create a Consumer which records the current
text about to be parsed. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Parse/RecDescent/Consumer.pm
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.30.0-11.mga10
+ Revision: 2200068
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.30.0-10.mga9
+ Revision: 1805040
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-9.mga8
+ Revision: 1496373
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-8.mga7
+ Revision: 1270427
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-7.mga6
+ Revision: 1031755
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.30.0-6.mga6
+ Revision: 937964
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 741898
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 685898
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 514015
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 371534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 26815
- mageia rebuild
- imported package perl-Parse-RecDescent-Consumer


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 404286
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.03-4mdv2009.0
+ Revision: 241810
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-2mdv2008.0
+ Revision: 86768
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.03-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.03-1mdk
- initial Mandriva package

